
From: Pavel Machek <pavel@ucw.cz>

I thought I'm done with fixing u32 vs.  pm_message_t ...  unfortunately that
turned out not to be the case as Russel King pointed out.  Here are fixes for
drivers/macintosh.

Signed-off-by: Pavel Machek <pavel@suse.cz>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/macintosh/macio_asic.c |    2 +-
 25-akpm/drivers/macintosh/mediabay.c   |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/macintosh/macio_asic.c~fix-u32-vs-pm_message_t-in-drivers-macintosh drivers/macintosh/macio_asic.c
--- 25/drivers/macintosh/macio_asic.c~fix-u32-vs-pm_message_t-in-drivers-macintosh	2005-04-04 00:39:20.000000000 -0700
+++ 25-akpm/drivers/macintosh/macio_asic.c	2005-04-04 00:39:20.000000000 -0700
@@ -106,7 +106,7 @@ static void macio_device_shutdown(struct
 		drv->shutdown(macio_dev);
 }
 
-static int macio_device_suspend(struct device *dev, u32 state)
+static int macio_device_suspend(struct device *dev, pm_message_t state)
 {
 	struct macio_dev * macio_dev = to_macio_device(dev);
 	struct macio_driver * drv = to_macio_driver(dev->driver);
diff -puN drivers/macintosh/mediabay.c~fix-u32-vs-pm_message_t-in-drivers-macintosh drivers/macintosh/mediabay.c
--- 25/drivers/macintosh/mediabay.c~fix-u32-vs-pm_message_t-in-drivers-macintosh	2005-04-04 00:39:20.000000000 -0700
+++ 25-akpm/drivers/macintosh/mediabay.c	2005-04-04 00:39:20.000000000 -0700
@@ -704,7 +704,7 @@ static int __devinit media_bay_attach(st
 
 }
 
-static int __pmac media_bay_suspend(struct macio_dev *mdev, u32 state)
+static int __pmac media_bay_suspend(struct macio_dev *mdev, pm_message_t state)
 {
 	struct media_bay_info	*bay = macio_get_drvdata(mdev);
 
_
